// src/plugins/globalComponents.ts
import type { App } from 'vue'

export default {
  install(app: App) {
    // 使用 import.meta.glob 动态导入所有 Ls 开头的组件
    const components = import.meta.glob('../components/Ls-UI/Ls*.vue', { eager: true })

    for (const path in components) {
      const component = components[path] as any
      // 获取组件名称（去掉路径和扩展名，只保留文件名）
      const componentName = path
        .split('/')
        .pop()
        ?.replace(/\.\w+$/, '') || ''
      // 注册组件
      app.component(componentName, component.default || component)
    }
  }
}